<?php

namespace App\Domain\Manga\Domain\Model;

readonly class MangaCollection
{
    /** @var Manga[] */
    private array $items;

    public function __construct(array $items)
    {
        $this->items = $items;
    }

    /**
     * @return Manga[]
     */
    public function getItems(): array
    {
        return $this->items;
    }

    public function count(): int
    {
        return count($this->items);
    }
}
